![~~CAPTION~~](media/logo.png)

+----------------------------------------------------------------+
|**oneM2M** **Technical** \                                      |
|**Specification**                                               |     
+:================+:=============================================+
|Document Number  |oneM2M-TS-0022-V-0.0.1                        |
+-----------------+----------------------------------------------+
|Document Name:   |M2M Application & Field Domain Component      |
|                 |Configuration                                 |
+-----------------+----------------------------------------------+
|Date:            |&lt;20yy-mm-dd>                               |
+-----------------+----------------------------------------------+
|Abstract:        |&lt; An abstract of the specification and     |
|                 |information that may be used in subsequent    |
|                 |electronic searches>                          |
+-----------------+----------------------------------------------+
|Template Version:January 2020 (do not modify)                   |
+----------------------------------------------------------------+


The present document is provided for future development work within oneM2M only. The Partners accept no liability for any use of this specification.

The present document has not been subject to any approval process by the oneM2M Partners Type 1.  Published oneM2M specifications and reports for implementation should be obtained via the oneM2M Partners' Publications Offices.


<br />About oneM2M

The purpose and goal of oneM2M is to develop technical specifications which address the need for a common M2M Service Layer that can be readily embedded within various hardware and software, and relied upon to connect the myriad of devices in the field with M2M application servers worldwide.

More information about oneM2M may be found at:  http//www.oneM2M.org

Copyright Notification

(c) 2020, oneM2M Partners Type 1 (ARIB, ATIS, CCSA, ETSI, TIA, TSDSI, TTA, TTC).

All rights reserved.

The copyright extends to reproduction in all media.



Notice of Disclaimer & Limitation of Liability

The information provided in this document is directed solely to professionals who have the appropriate degree of experience to understand and interpret its contents in accordance with generally accepted engineering or other professional standards and applicable regulations. No recommendation as to products or vendors is made or should be implied.

NO REPRESENTATION OR WARRANTY IS MADE THAT THE INFORMATION IS TECHNICALLY ACCURATE OR SUFFICIENT OR CONFORMS TO ANY STATUTE, GOVERNMENTAL RULE OR REGULATION, AND FURTHER, NO REPRESENTATION OR WARRANTY IS MADE OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR AGAINST INFRINGEMENT OF INTELLECTUAL PROPERTY RIGHTS. NO oneM2M PARTNER TYPE 1 SHALL BE LIABLE, BEYOND THE AMOUNT OF ANY SUM RECEIVED IN PAYMENT BY THAT PARTNER FOR THIS DOCUMENT, WITH RESPECT TO ANY CLAIM, AND IN NO EVENT SHALL oneM2M BE LIABLE FOR LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES. oneM2M EXPRESSLY ADVISES ANY AND ALL USE OF OR RELIANCE UPON THIS INFORMATION PROVIDED IN THIS DOCUMENT IS AT THE RISK OF THE USER.


# Contents  

# 1 Scope
The present document ...

`EXAMPLE:    The present document provides the necessary adaptions to the endorsed document.`  

<mark>The Scope **shall not** contain requirements.</mark>


# 2 References
<mark>The following text block applies.</mark>

References are either specific (identified by date of publication and/or edition number or version number) or nonspecific. For specific references,only the cited version applies. For non-specific references, the latest version of the referenced document (including any amendments) applies.


## 2.1 Normative references
<mark>Clause 2.1 only shall contain normative (essential) references which are cited in the document itself. These references have to be publicly available and in English.</mark>

The following referenced documents are necessary, partially or totally, for the application of the present document. Their use in the context of this TS is specified by the normative statements that are referring back to this clause.


- Use the **EX** style, enclose the number in square brackets and separate it from the title with a tab (you may use sequence fields for automatically numbering references, see clause A.4: "Sequence numbering") (see example).

`EXAMPLE:`  
- <a name="_ref_1">[1]</a>     ETSI TR 102 473: "&lt;Title>".

## 2.2 Informative references

<mark>Clause 2.2 shall only contain informative references which are cited in the document itself.</mark>

The following referenced documents are not necessary for the application of the present document but they assist the user with regard to a particular subject area.


- Use the **EX** style, add the letter "i" (for informative) before the number (which shall be in square brackets) and separate this from the title with a tab (you may use sequence fields for automatically numbering references).

- <a href="#_ref_i.1">[i.1]</a>    oneM2M Drafting Rules (http://www.onem2m.org/images/files/oneM2M-Drafting-Rules.pdf)  


# 3 Definition of terms, symbols and abbreviations

<mark>Delete from the above heading the word(s) which is/are not applicable.</mark>


## 3.1 Terms

<mark>Clause numbering depends on applicability.</mark>

<mark>- A definition shall not take the form of, or contain, a requirement.</mark>  
<mark>- The form of a definition shall be such that it can replace the term in context. Additional information shall be given only in the form of examples or notes (see below).</mark>   
<mark>- The terms and definitions shall be presented in alphabetical order.</mark>

For the purposes of the present document, the [following] terms and definitions [given in ... and the following] apply:

<mark>Definition format</mark>

&lt;defined term>: &lt;definition>

<mark>If a definition is taken from an external source, use the format below where [N] identifies the external document which must be listed in Section 2 References.</mark>

&lt;defined term>[N]: &lt;definition>

example 1: text used to clarify abstract rules by applying them literally

> NOTE:    This may contain additional information.


## 3.2 Symbols

<mark>Clause numbering depends on applicability.</mark>

For the purposes of the present document, the [following] symbols [given in ... and the following] apply:

<mark>Symbol format</mark>

&lt;symbol>    &lt;Explanation>  
&lt;2nd symbol>    &lt;2nd Explanation>    
&lt;3rd symbol>    &lt;3rd Explanation>    


## 3.3 Abbreviations

<mark>Abbreviations should be ordered alphabetically.</mark>

<mark>Clause numbering depends on applicability.</mark>

For the purposes of the present document, the [following] abbreviations [given in ... and the following] apply:

<mark>Abbreviation format</mark>


&lt;ABREVIATION1>    &lt;Explanation>  
&lt;ABREVIATION2>    &lt;Explanation>  
&lt;ABREVIATION3>    &lt;Explanation>    

# 4 Conventions

The key words "Shall", "Shall not", "May", "Need not", "Should", "Should not" in this document are to be interpreted as described in the oneM2M Drafting Rules <a href="#_ref_i.1">[i.1]</a>


# 5 User defined clause(s) from here onwards
&lt;Text>


## 5.1 User defined subdivisions of clause(s) from here onwards
&lt;Text>

<mark>The following text is to be used when appropriate:</mark>


# Proforma copyright release text block
<mark>This text box shall immediately follow after the heading of an element (i.e. clause or annex) containing a proforma or template which is intended to be copied by the user. Such an element shall always start on a new page.</mark>


|Notwithstanding the provisions of the copyright clause related to the text of the present document, oneM2M grants that users of the present document may freely reproduce the &lt;proformatype> proforma in this {clause\|annex} so that it can be used for its intended purposes and may further publish the completed &lt;proformatype>.|  
|----|

<mark>&lt;PAGE BREAK></mark>


## <mark>Annexes</mark>
<mark>Each annex shall start on a new page (insert a page break between annexes A and B, annexes B and C, etc.).</mark>

<mark>Use the Heading 9 style for the title and the Normal style for the text.</mark>

# Annex &lt;A> (Informative/Normative):<mark>Remove Informative or Normative as appropriat</mark> Title of annex <mark>(style H9)</mark>

&lt;Text>  
<mark>&lt;PAGE BREAK></mark>

# Annex &lt;B> (Informative/Normative):<mark>Remove Informative or Normative as appropriat</mark> Title of annex <mark>(style H9)</mark>

&lt;Text>

## B.1    First clause of the annex <mark>(style H1)</mark>

&lt;Text>

### B.1.1    First subdivided clause of the annex <mark>(style H2)</mark>

&lt;Text>

<mark>&lt;PAGE BREAK></mark>

<mark>The following text is to be used when appropriate:</mark>

# Annex &lt;y>:<br />Bibliography
<mark>The annex entitled "Bibliography" is optional.</mark>

<mark>It shall contain a list of standards, books, articles, or other sources on a particular subject which are not mentioned in the document itself</mark>

<mark>It shall not include references mentioned in the document.</mark>

<mark>Use the Heading 9 style for the title and B1+ or Normal for the text.</mark>


- &lt;Publication>: "&lt;Title>".

OR

&lt;Publication>: "&lt;Title>".

<mark>&lt;PAGE BREAK></mark>


# History
<mark>This clause shall be the last one in the document and list the main phases (all additional information will be removed at the publication stage).</mark>


|Publication history |Publication history |Publication history |
|-|-|-|
|V1.x.x |&lt;yyyy-mm-dd > |&lt;Milestone> |
| | | |
| | | |
| | | |
| | | |








|Draft history (to be removed on publication) |Draft history (to be removed on publication) |Draft history (to be removed on publication) |
|-|-|-|
|V1.x.x |&lt;yyyy-mm-dd > |&lt;CR ID> applied - &lt;Summary of changes> |
| | | |
| | | |
| | | |
| | | |
